| OptFEM2D Toolbox for Matlab V1.2b1 Matlab/Octave Optimized P1-Lagrange Finite Element Method in 2D

- Main Page
- Related Pages
- Files

- File List
- File Members

All Files Functions Pages
Functions
runBenchs.m File Reference

Run benchs for Mass (benchMassP1), MassW (benchMassWP1) Stiff (benchStiffP1) and StiffElas (benchStiffElasP1) matrices. For each assembly matrices, we compare cputimes of corresponding functions for version `base`, `OptV0`, `OptV1` and `OptV2`. More...

Go to the source code of this file.

## Functions
function | runBenchs (varargin)
| Run benchs for Mass (benchMassP1), MassW (benchMassWP1) Stiff (benchStiffP1) and StiffElas (benchStiffElasP1) matrices. For each assembly matrices, we compare cputimes of corresponding functions for version `base`, `OptV0`, `OptV1` and `OptV2`.
function | runBenchs>BenchToLatexTabular (bench, LaTeXFilename)

## Detailed Description

Run benchs for Mass (benchMassP1), MassW (benchMassWP1) Stiff (benchStiffP1) and StiffElas (benchStiffElasP1) matrices. For each assembly matrices, we compare cputimes of corresponding functions for version `base`, `OptV0`, `OptV1` and `OptV2`.

Definition in file runBenchs.m.

## Function Documentation

function runBenchs>BenchToLatexTabular | ( |  | bench,
|  |  | LaTeXFilename
| ) |  |

Definition at line 150 of file runBenchs.m.

function runBenchs | ( |  | varargin | ) |

Run benchs for Mass (benchMassP1), MassW (benchMassWP1) Stiff (benchStiffP1) and StiffElas (benchStiffElasP1) matrices. For each assembly matrices, we compare cputimes of corresponding functions for version `base`, `OptV0`, `OptV1` and `OptV2`.

Optional parameters
  - `save` : true for saving each bench in latex files. (default false)
  - `directory` : name of the directory for saving files.
  - `name` : base name of files.
  - `LN` : List of N parameters for SquareMesh function.

Example

           runBenchs('save',true,'name','benchMatlabR2012b','LN',20:20:160)

Results under Matlab R2012b
  Here are the results on our reference machine .
  - functions MassAssemblingP1

  - functions MassWAssemblingP1

  - functions StiffAssemblingP1

  - functions StiffElasAssembling

Results under Octave 3.6.3
  Here are the results on our reference machine .
  - functions MassAssemblingP1

  - functions MassWAssemblingP1

  - functions StiffAssemblingP1

  - functions StiffElasAssembling

See Also
  benchMassP1, benchMassWP1, benchStiffP1, benchStiffElasP1, InitOptFEM2D

OptFEM2DP1 [V1.2b1] - Copyright (C) 2013 CJS (LAGA)

This file is part of OptFEM2DP1. OptFEM2DP1 is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

OptFEM2DP1 is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program. If not, see http://www.gnu.org/licenses/.

Parameters

  varargin | runBenchs ( [ "save", save_value ] [, "directory", directory_value ] [, "name", name_value ] [, "LN", LN_value ] ) Named Parameters for varargin: save save ( Default: `false` ) directory directory ( Default: ``latex`` ) name name ( Default: ``bench`` ) LN LN ( Default: `[20:20:100]` )

Definition at line 17 of file runBenchs.m.